### A free/open-source library for quantitative finance

Classes
ql/cashflows/cpicoupon.hpp File Reference

Coupon paying a zero-inflation index. More...

`#include <ql/cashflows/inflationcoupon.hpp>`
`#include <ql/cashflows/indexedcashflow.hpp>`
`#include <ql/indexes/inflationindex.hpp>`
`#include <ql/time/schedule.hpp>`
Include dependency graph for cpicoupon.hpp:

## Classes

class | CPICoupon
| Coupon paying the performance of a CPI (zero inflation) index More...
class | CPICashFlow
| Cash flow paying the performance of a CPI (zero inflation) index. More...
class | CPILeg
| Helper class building a sequence of capped/floored CPI coupons. More...

## Detailed Description

Coupon paying a zero-inflation index.